---
title: 'Element: fullscreenerror event'
slug: Web/API/Element/fullscreenerror_event
tags:
  - API
  - Element
  - Event
  - Reference
  - fullscreenerror
---
<div>{{APIRef}}</div>

<p><span class="seoSummary">The <code>fullscreenerror</code> event is fired when the browser cannot switch to full-screen mode.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("Element.onfullscreenerror", "onfullscreenerror")}}</td>
  </tr>
 </tbody>
</table>

<p>As with the {{domxref("Element/fullscreenchange_event", "fullscreenchange")}} event, two <code>fullscreenerror</code> events are fired; the first is sent to the {{domxref("Element")}} which failed to change modes, and the second is sent to the {{domxref("Document")}} which contains that element.</p>

<p>For some reasons that switching into full-screen mode might fail, see <a href="/en-US/docs/Web/API/Fullscreen_API/Guide">the guide to the Fullscreen API</a>.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">const requestor = document.querySelector('div');

requestor.addEventListener('fullscreenerror', (event) =&gt; {
  console.error('an error occurred changing into fullscreen');
  console.log(event);
});

requestor.requestFullscreen();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Fullscreen")}}</td>
   <td>{{Spec2("Fullscreen")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.fullscreenerror_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Element/fullscreenchange_event"><code>fullscreenchange</code></a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API</a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
</ul>
